Package org.opensaml.security.x509.impl

# Interface X509CredentialNameEvaluator

All Known Implementing Classes:
  `BasicX509CredentialNameEvaluator`, `DummyX509CredentialNameEvaluator`

public interface X509CredentialNameEvaluator
Interface for classes which evaluate an `X509Credential` against a supplied set of trusted names.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`evaluate(X509Credential credential, Set<String> trustedNames)`
Evaluate the specified credential against the specified set of trusted names.

## Method Details

### evaluate

boolean evaluate(@Nonnull X509Credential credential, @Nullable Set<String> trustedNames) throws SecurityException
Evaluate the specified credential against the specified set of trusted names.

The types of names supported, and the manner in which they are evaluated, is implementation-specific.

Parameters:
  `credential` - the X.509 credential to evaluate
  `trustedNames` - trusted names against which the credential will be evaluated
Returns:
  true if the name evaluation succeeds, false otherwise
Throws:
  `SecurityException` - thrown if there is an error during name evaluation